/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @flow strict-local
 */
export declare const defaultProps: {
    children: boolean;
    dataSet: boolean;
    nativeID: boolean;
    ref: boolean;
    suppressHydrationWarning: boolean;
    testID: boolean;
    id: boolean;
};
export declare const accessibilityProps: {
    accessibilityActiveDescendant: boolean;
    accessibilityAtomic: boolean;
    accessibilityAutoComplete: boolean;
    accessibilityBusy: boolean;
    accessibilityChecked: boolean;
    accessibilityColumnCount: boolean;
    accessibilityColumnIndex: boolean;
    accessibilityColumnSpan: boolean;
    accessibilityControls: boolean;
    accessibilityCurrent: boolean;
    accessibilityDescribedBy: boolean;
    accessibilityDetails: boolean;
    accessibilityDisabled: boolean;
    accessibilityErrorMessage: boolean;
    accessibilityExpanded: boolean;
    accessibilityFlowTo: boolean;
    accessibilityHasPopup: boolean;
    accessibilityHidden: boolean;
    accessibilityInvalid: boolean;
    accessibilityKeyShortcuts: boolean;
    accessibilityLabel: boolean;
    accessibilityLabelledBy: boolean;
    accessibilityLevel: boolean;
    accessibilityLiveRegion: boolean;
    accessibilityModal: boolean;
    accessibilityMultiline: boolean;
    accessibilityMultiSelectable: boolean;
    accessibilityOrientation: boolean;
    accessibilityOwns: boolean;
    accessibilityPlaceholder: boolean;
    accessibilityPosInSet: boolean;
    accessibilityPressed: boolean;
    accessibilityReadOnly: boolean;
    accessibilityRequired: boolean;
    accessibilityRole: boolean;
    accessibilityRoleDescription: boolean;
    accessibilityRowCount: boolean;
    accessibilityRowIndex: boolean;
    accessibilityRowSpan: boolean;
    accessibilitySelected: boolean;
    accessibilitySetSize: boolean;
    accessibilitySort: boolean;
    accessibilityValueMax: boolean;
    accessibilityValueMin: boolean;
    accessibilityValueNow: boolean;
    accessibilityValueText: boolean;
    dir: boolean;
    focusable: boolean;
};
export declare const clickProps: {
    onClick: boolean;
    onClickCapture: boolean;
    onContextMenu: boolean;
};
export declare const focusProps: {
    onBlur: boolean;
    onFocus: boolean;
};
export declare const keyboardProps: {
    onKeyDown: boolean;
    onKeyDownCapture: boolean;
    onKeyUp: boolean;
    onKeyUpCapture: boolean;
};
export declare const mouseProps: {
    onMouseDown: boolean;
    onMouseEnter: boolean;
    onMouseLeave: boolean;
    onMouseMove: boolean;
    onMouseOver: boolean;
    onMouseOut: boolean;
    onMouseUp: boolean;
};
export declare const touchProps: {
    onTouchCancel: boolean;
    onTouchCancelCapture: boolean;
    onTouchEnd: boolean;
    onTouchEndCapture: boolean;
    onTouchMove: boolean;
    onTouchMoveCapture: boolean;
    onTouchStart: boolean;
    onTouchStartCapture: boolean;
};
export declare const styleProps: {
    classList: boolean;
    style: boolean;
};
export declare const forwardedProps: {
    defaultProps: {
        children: boolean;
        dataSet: boolean;
        nativeID: boolean;
        ref: boolean;
        suppressHydrationWarning: boolean;
        testID: boolean;
        id: boolean;
    };
    accessibilityProps: {
        accessibilityActiveDescendant: boolean;
        accessibilityAtomic: boolean;
        accessibilityAutoComplete: boolean;
        accessibilityBusy: boolean;
        accessibilityChecked: boolean;
        accessibilityColumnCount: boolean;
        accessibilityColumnIndex: boolean;
        accessibilityColumnSpan: boolean;
        accessibilityControls: boolean;
        accessibilityCurrent: boolean;
        accessibilityDescribedBy: boolean;
        accessibilityDetails: boolean;
        accessibilityDisabled: boolean;
        accessibilityErrorMessage: boolean;
        accessibilityExpanded: boolean;
        accessibilityFlowTo: boolean;
        accessibilityHasPopup: boolean;
        accessibilityHidden: boolean;
        accessibilityInvalid: boolean;
        accessibilityKeyShortcuts: boolean;
        accessibilityLabel: boolean;
        accessibilityLabelledBy: boolean;
        accessibilityLevel: boolean;
        accessibilityLiveRegion: boolean;
        accessibilityModal: boolean;
        accessibilityMultiline: boolean;
        accessibilityMultiSelectable: boolean;
        accessibilityOrientation: boolean;
        accessibilityOwns: boolean;
        accessibilityPlaceholder: boolean;
        accessibilityPosInSet: boolean;
        accessibilityPressed: boolean;
        accessibilityReadOnly: boolean;
        accessibilityRequired: boolean;
        accessibilityRole: boolean;
        accessibilityRoleDescription: boolean;
        accessibilityRowCount: boolean;
        accessibilityRowIndex: boolean;
        accessibilityRowSpan: boolean;
        accessibilitySelected: boolean;
        accessibilitySetSize: boolean;
        accessibilitySort: boolean;
        accessibilityValueMax: boolean;
        accessibilityValueMin: boolean;
        accessibilityValueNow: boolean;
        accessibilityValueText: boolean;
        dir: boolean;
        focusable: boolean;
    };
    clickProps: {
        onClick: boolean;
        onClickCapture: boolean;
        onContextMenu: boolean;
    };
    focusProps: {
        onBlur: boolean;
        onFocus: boolean;
    };
    keyboardProps: {
        onKeyDown: boolean;
        onKeyDownCapture: boolean;
        onKeyUp: boolean;
        onKeyUpCapture: boolean;
    };
    mouseProps: {
        onMouseDown: boolean;
        onMouseEnter: boolean;
        onMouseLeave: boolean;
        onMouseMove: boolean;
        onMouseOver: boolean;
        onMouseOut: boolean;
        onMouseUp: boolean;
    };
    touchProps: {
        onTouchCancel: boolean;
        onTouchCancelCapture: boolean;
        onTouchEnd: boolean;
        onTouchEndCapture: boolean;
        onTouchMove: boolean;
        onTouchMoveCapture: boolean;
        onTouchStart: boolean;
        onTouchStartCapture: boolean;
    };
    styleProps: {
        classList: boolean;
        style: boolean;
    };
};
export declare const forwardPropsListText: {
    href: boolean;
    lang: boolean;
    pointerEvents: boolean;
    classList: boolean;
    style: boolean;
    onTouchCancel: boolean;
    onTouchCancelCapture: boolean;
    onTouchEnd: boolean;
    onTouchEndCapture: boolean;
    onTouchMove: boolean;
    onTouchMoveCapture: boolean;
    onTouchStart: boolean;
    onTouchStartCapture: boolean;
    onMouseDown: boolean;
    onMouseEnter: boolean;
    onMouseLeave: boolean;
    onMouseMove: boolean;
    onMouseOver: boolean;
    onMouseOut: boolean;
    onMouseUp: boolean;
    onKeyDown: boolean;
    onKeyDownCapture: boolean;
    onKeyUp: boolean;
    onKeyUpCapture: boolean;
    onBlur: boolean;
    onFocus: boolean;
    onClick: boolean;
    onClickCapture: boolean;
    onContextMenu: boolean;
    accessibilityActiveDescendant: boolean;
    accessibilityAtomic: boolean;
    accessibilityAutoComplete: boolean;
    accessibilityBusy: boolean;
    accessibilityChecked: boolean;
    accessibilityColumnCount: boolean;
    accessibilityColumnIndex: boolean;
    accessibilityColumnSpan: boolean;
    accessibilityControls: boolean;
    accessibilityCurrent: boolean;
    accessibilityDescribedBy: boolean;
    accessibilityDetails: boolean;
    accessibilityDisabled: boolean;
    accessibilityErrorMessage: boolean;
    accessibilityExpanded: boolean;
    accessibilityFlowTo: boolean;
    accessibilityHasPopup: boolean;
    accessibilityHidden: boolean;
    accessibilityInvalid: boolean;
    accessibilityKeyShortcuts: boolean;
    accessibilityLabel: boolean;
    accessibilityLabelledBy: boolean;
    accessibilityLevel: boolean;
    accessibilityLiveRegion: boolean;
    accessibilityModal: boolean;
    accessibilityMultiline: boolean;
    accessibilityMultiSelectable: boolean;
    accessibilityOrientation: boolean;
    accessibilityOwns: boolean;
    accessibilityPlaceholder: boolean;
    accessibilityPosInSet: boolean;
    accessibilityPressed: boolean;
    accessibilityReadOnly: boolean;
    accessibilityRequired: boolean;
    accessibilityRole: boolean;
    accessibilityRoleDescription: boolean;
    accessibilityRowCount: boolean;
    accessibilityRowIndex: boolean;
    accessibilityRowSpan: boolean;
    accessibilitySelected: boolean;
    accessibilitySetSize: boolean;
    accessibilitySort: boolean;
    accessibilityValueMax: boolean;
    accessibilityValueMin: boolean;
    accessibilityValueNow: boolean;
    accessibilityValueText: boolean;
    dir: boolean;
    focusable: boolean;
    children: boolean;
    dataSet: boolean;
    nativeID: boolean;
    ref: boolean;
    suppressHydrationWarning: boolean;
    testID: boolean;
    id: boolean;
};
export declare const forwardPropsListView: {
    onScroll: boolean;
    onWheel: boolean;
    href: boolean;
    lang: boolean;
    pointerEvents: boolean;
    classList: boolean;
    style: boolean;
    onTouchCancel: boolean;
    onTouchCancelCapture: boolean;
    onTouchEnd: boolean;
    onTouchEndCapture: boolean;
    onTouchMove: boolean;
    onTouchMoveCapture: boolean;
    onTouchStart: boolean;
    onTouchStartCapture: boolean;
    onMouseDown: boolean;
    onMouseEnter: boolean;
    onMouseLeave: boolean;
    onMouseMove: boolean;
    onMouseOver: boolean;
    onMouseOut: boolean;
    onMouseUp: boolean;
    onKeyDown: boolean;
    onKeyDownCapture: boolean;
    onKeyUp: boolean;
    onKeyUpCapture: boolean;
    onBlur: boolean;
    onFocus: boolean;
    onClick: boolean;
    onClickCapture: boolean;
    onContextMenu: boolean;
    accessibilityActiveDescendant: boolean;
    accessibilityAtomic: boolean;
    accessibilityAutoComplete: boolean;
    accessibilityBusy: boolean;
    accessibilityChecked: boolean;
    accessibilityColumnCount: boolean;
    accessibilityColumnIndex: boolean;
    accessibilityColumnSpan: boolean;
    accessibilityControls: boolean;
    accessibilityCurrent: boolean;
    accessibilityDescribedBy: boolean;
    accessibilityDetails: boolean;
    accessibilityDisabled: boolean;
    accessibilityErrorMessage: boolean;
    accessibilityExpanded: boolean;
    accessibilityFlowTo: boolean;
    accessibilityHasPopup: boolean;
    accessibilityHidden: boolean;
    accessibilityInvalid: boolean;
    accessibilityKeyShortcuts: boolean;
    accessibilityLabel: boolean;
    accessibilityLabelledBy: boolean;
    accessibilityLevel: boolean;
    accessibilityLiveRegion: boolean;
    accessibilityModal: boolean;
    accessibilityMultiline: boolean;
    accessibilityMultiSelectable: boolean;
    accessibilityOrientation: boolean;
    accessibilityOwns: boolean;
    accessibilityPlaceholder: boolean;
    accessibilityPosInSet: boolean;
    accessibilityPressed: boolean;
    accessibilityReadOnly: boolean;
    accessibilityRequired: boolean;
    accessibilityRole: boolean;
    accessibilityRoleDescription: boolean;
    accessibilityRowCount: boolean;
    accessibilityRowIndex: boolean;
    accessibilityRowSpan: boolean;
    accessibilitySelected: boolean;
    accessibilitySetSize: boolean;
    accessibilitySort: boolean;
    accessibilityValueMax: boolean;
    accessibilityValueMin: boolean;
    accessibilityValueNow: boolean;
    accessibilityValueText: boolean;
    dir: boolean;
    focusable: boolean;
    children: boolean;
    dataSet: boolean;
    nativeID: boolean;
    ref: boolean;
    suppressHydrationWarning: boolean;
    testID: boolean;
    id: boolean;
};
//# sourceMappingURL=index.d.ts.map